import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetTokenDefinitionsParams, GetDataPropsParams, GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { CompoundBorrowContractPositionFetcher, CompoundBorrowTokenDataProps, GetMarketsParams } from '../common/compound.borrow.contract-position-fetcher';
import { CompoundComptroller, CompoundContractFactory, CompoundCToken } from '../contracts';
export declare class EthereumCompoundBorrowContractPositionFetcher extends CompoundBorrowContractPositionFetcher<CompoundCToken, CompoundComptroller> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: CompoundContractFactory;
    groupLabel: string;
    comptrollerAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: CompoundContractFactory);
    getCompoundCTokenContract(address: string): CompoundCToken;
    getCompoundComptrollerContract(address: string): CompoundComptroller;
    getMarkets({ contract }: GetMarketsParams<CompoundComptroller>): Promise<string[]>;
    getUnderlyingAddress({ contract }: GetTokenDefinitionsParams<CompoundCToken>): Promise<string>;
    getExchangeRate({ contract }: GetDataPropsParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getBorrowRate({ contract }: GetDataPropsParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<number | import("ethers").BigNumber>;
    getCash({ contract }: GetDataPropsParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenSupply({ contract }: GetDataPropsParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
    getCTokenDecimals({ contract }: GetDataPropsParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<number>;
    getBorrowBalance({ address, contract }: GetTokenBalancesParams<CompoundCToken, CompoundBorrowTokenDataProps>): Promise<import("ethers").BigNumber>;
}
